// RTSSSharedMemorySampleDlg.h : header file
//

#if !defined(AFX_RTSSSHAREDMEMORYSAMPLEDLG_H__6F747E28_358F_4B91_887D_7A73A811ACCB__INCLUDED_)
#define AFX_RTSSSHAREDMEMORYSAMPLEDLG_H__6F747E28_358F_4B91_887D_7A73A811ACCB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CRTSSSharedMemorySampleDlg dialog

#include "RTSSSharedMemory.h"

class CRTSSSharedMemorySampleDlg : public CDialog
{
// Construction
public:

	RTSS_SHARED_MEMORY::LPRTSS_SHARED_MEMORY_OSD_ENTRY GetOSDEntry(LPRTSS_SHARED_MEMORY pMem, DWORD dwEntry);
	RTSS_SHARED_MEMORY::LPRTSS_SHARED_MEMORY_APP_ENTRY GetAppEntry(LPRTSS_SHARED_MEMORY pMem, DWORD dwEntry);

	CRTSSSharedMemorySampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRTSSSharedMemorySampleDlg)
	enum { IDD = IDD_RTSSSHAREDMEMORYSAMPLE_DIALOG };
	CString	m_strStatus;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRTSSSharedMemorySampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	UINT	m_nTimerID;
	HANDLE	m_hMapFile;
	LPVOID	m_pMapAddr;

	void	Connect();
	void	Disconnect();

	HICON	m_hIcon;
	CString	m_strAppID;

	BOOL	m_bRTSSSharedMemoryV2;	

	// Generated message map functions
	//{{AFX_MSG(CRTSSSharedMemorySampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_RTSSSHAREDMEMORYSAMPLEDLG_H__6F747E28_358F_4B91_887D_7A73A811ACCB__INCLUDED_)
